assistant
GET /v1/assistant/conversations/{conversationId}
Read one conversation with its full thread.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X GET https://api.zinndigital.com/v1/assistant/conversations/{conversationId} \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
⛔ A colleague's conversation is a `404`, never a `403` — a `403` confirms the id exists, which is itself information about what a colleague has asked.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
conversationId (path) | Uuid | Sì | The conversation's id. |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
title | string | Sì | The first question, truncated, so a list of threads is readable. |
escalated_ticket_id | Uuid | Sì | Set once this thread became a support ticket. |
created_at | string | Sì | — |
updated_at | string | Sì | — |
messages | AssistantMessage[] | Sì | — |
proposals | AgentProposal[] | Sì | Actions the assistant suggested in this thread. **Nothing here has happened** — a proposal is a suggestion with a confirm button, and it is applied only by `POST /v1/ai/proposal… |
Errori che questo endpoint può restituire
401 · 403 · 404 · 429